Package weka.classifiers.functions

# Class BoundaryKernelClassifier

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryKernelClassifier

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`, `weka.tools.GlobalInfoHandler`

Direct Known Subclasses:
  `BoundaryKernelClassifierWithPlaneProjectionsAbstract`, `BoundaryKernelClassifierWithPlaneProjectionsGauss`, `BoundaryKernelClassifierWithPlaneProjectionsNB`, `BoundaryKernelClassifierWithPlaneProjectionsNB2`

public class BoundaryKernelClassifier extends SingleClassifierEnhancerBoundary implements weka.tools.GlobalInfoHandler

Since:
  2.2.0
Version:
  2.3.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryKernelClassifier()`
  `BoundaryKernelClassifier(ClassifierWithBoundaries nearestCentroidBoundary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `String`
  `estimProtoTipText()`
  `weka.estimators.density.DensityEstimator`
  `getEstimProto()`
  `String[]`
  `getOptions()`
  `String`
  `globalInfo()`
  `boolean`
  `isNormalize()`
  `boolean`
  `isPreNormalize()`
  `boolean`
  `isUsePriorProbs()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `String`
  `normalizeTipText()`
  `String`
  `preNormalizeTipText()`
  `void`
  `setEstimProto(weka.estimators.density.DensityEstimator estimProto)`
  `void`
  `setNormalize(boolean normalize)`
  `void`
  `setOptions(String[] options)`
  `void`
  `setPreNormalize(boolean preNormalize)`
  `void`
  `setUsePriorProbs(boolean usePriorProbs)`
  `String`
  `usePriorProbsTipText()`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryKernelClassifier

    public BoundaryKernelClassifier(ClassifierWithBoundaries nearestCentroidBoundary)

  - ### BoundaryKernelClassifier

    public BoundaryKernelClassifier()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.AbstractClassifier`
    Throws:
      `Exception`

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `weka.classifiers.SingleClassifierEnhancer`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### getEstimProto

    public weka.estimators.density.DensityEstimator getEstimProto()
    Returns:
      the estimProto

  - ### setEstimProto

    public void setEstimProto(weka.estimators.density.DensityEstimator estimProto)
    Parameters:
      `estimProto` - the estimProto to set

  - ### estimProtoTipText

    public String estimProtoTipText()

  - ### globalInfo

    public String globalInfo()
    Specified by:
      `globalInfo` in interface `weka.tools.GlobalInfoHandler`

  - ### isNormalize

    public boolean isNormalize()
    Returns:
      the normalize

  - ### setNormalize

    public void setNormalize(boolean normalize)
    Parameters:
      `normalize` - the normalize to set

  - ### normalizeTipText

    public String normalizeTipText()

  - ### isUsePriorProbs

    public boolean isUsePriorProbs()
    Returns:
      the usePriorProbs

  - ### setUsePriorProbs

    public void setUsePriorProbs(boolean usePriorProbs)
    Parameters:
      `usePriorProbs` - the usePriorProbs to set

  - ### usePriorProbsTipText

    public String usePriorProbsTipText()

  - ### isPreNormalize

    public boolean isPreNormalize()
    Returns:
      the preNormalize

  - ### setPreNormalize

    public void setPreNormalize(boolean preNormalize)
    Parameters:
      `preNormalize` - the preNormalize to set

  - ### preNormalizeTipText

    public String preNormalizeTipText()